/**
 * 
 */
package com.as.lyons.rest.svc.rtn;

import java.util.List;

import com.as.lyons.rest.svc.common.ErrorResult;

/**
 * Contains a list of institutions with full details.
 * 
 * @author pgurov
 *
 */
public class InstitutionListResult extends ErrorResult {
	private List<Institution> institutions;

	/**
	 * @return the institutions
	 */
	public List<Institution> getInstitutions() {
		return institutions;
	}

	/**
	 * @param institutions the institutions to set
	 */
	public void setInstitutions(List<Institution> institutions) {
		this.institutions = institutions;
	}
}
